/* This file was generated by SableCC (http://www.sablecc.org/). */

package ca.mcgill.sable.gagnon.java.lexer;

import java.io.*;
import java.util.*;
import ca.mcgill.sable.gagnon.java.node.*;

public class Lexer
{
    protected Token token;
    protected State state = State.INITIAL;

    private PushbackReader in;
    private int line;
    private int pos;
    private boolean cr;
    private boolean eof;
    private final StringBuffer text = new StringBuffer();

    protected void filter() throws LexerException, IOException
    {
    }

    public Lexer(PushbackReader in)
    {
        this.in = in;

        if(gotoTable == null)
        {
            try
            {
                DataInputStream s = new DataInputStream(
                    new BufferedInputStream(
                    Lexer.class.getResourceAsStream("lexer.dat")));

                // read gotoTable
                int length = s.readInt();
                gotoTable = new int[length][][][];
                for(int i = 0; i < gotoTable.length; i++)
                {
                    length = s.readInt();
                    gotoTable[i] = new int[length][][];
                    for(int j = 0; j < gotoTable[i].length; j++)
                    {
                        length = s.readInt();
                        gotoTable[i][j] = new int[length][3];
                        for(int k = 0; k < gotoTable[i][j].length; k++)
                        {
                            for(int l = 0; l < 3; l++)
                            {
                                gotoTable[i][j][k][l] = s.readInt();
                            }
                        }
                    }
                }

                // read accept
                length = s.readInt();
                accept = new int[length][];
                for(int i = 0; i < accept.length; i++)
                {
                    length = s.readInt();
                    accept[i] = new int[length];
                    for(int j = 0; j < accept[i].length; j++)
                    {
                        accept[i][j] = s.readInt();
                    }
                }

                s.close();
            }
            catch(Exception e)
            {
                throw new RuntimeException("The file \"lexer.dat\" is either missing or corrupted.");
            }
        }
    }

    public Token peek() throws LexerException, IOException
    {
        while(token == null)
        {
            token = getToken();
            filter();
        }

        return token;
    }

    public Token next() throws LexerException, IOException
    {
        while(token == null)
        {
            token = getToken();
            filter();
        }

        Token result = token;
        token = null;
        return result;
    }

    protected Token getToken() throws IOException, LexerException
    {
        int dfa_state = 0;

        int start_pos = pos;
        int start_line = line;

        int accept_state = -1;
        int accept_token = -1;
        int accept_length = -1;
        int accept_pos = -1;
        int accept_line = -1;

        int[][][] gotoTable = this.gotoTable[state.id()];
        int[] accept = this.accept[state.id()];
        text.setLength(0);

        while(true)
        {
            int c = getChar();

            if(c != -1)
            {
                switch(c)
                {
                case 10:
                    if(cr)
                    {
                        cr = false;
                    }
                    else
                    {
                        line++;
                        pos = 0;
                    }
                    break;
                case 13:
                    line++;
                    pos = 0;
                    cr = true;
                    break;
                default:
                    pos++;
                    cr = false;
                    break;
                };

                text.append((char) c);

                do
                {
                    int oldState = (dfa_state < -1) ? (-2 -dfa_state) : dfa_state;

                    dfa_state = -1;

                    int[][] tmp1 =  gotoTable[oldState];
                    int low = 0;
                    int high = tmp1.length - 1;

                    while(low <= high)
                    {
                        int middle = (low + high) / 2;
                        int[] tmp2 = tmp1[middle];

                        if(c < tmp2[0])
                        {
                            high = middle - 1;
                        }
                        else if(c > tmp2[1])
                        {
                            low = middle + 1;
                        }
                        else
                        {
                            dfa_state = tmp2[2];
                            break;
                        }
                    }
                }while(dfa_state < -1);
            }
            else
            {
                dfa_state = -1;
            }

            if(dfa_state >= 0)
            {
                if(accept[dfa_state] != -1)
                {
                    accept_state = dfa_state;
                    accept_token = accept[dfa_state];
                    accept_length = text.length();
                    accept_pos = pos;
                    accept_line = line;
                }
            }
            else
            {
                if(accept_state != -1)
                {
                    switch(accept_token)
                    {
                    case 0:
                        {
                            Token token = new0(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 1:
                        {
                            Token token = new1(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 2:
                        {
                            Token token = new2(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 3:
                        {
                            Token token = new3(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 4:
                        {
                            Token token = new4(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 5:
                        {
                            Token token = new5(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 6:
                        {
                            Token token = new6(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 7:
                        {
                            Token token = new7(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 8:
                        {
                            Token token = new8(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 9:
                        {
                            Token token = new9(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 10:
                        {
                            Token token = new10(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 11:
                        {
                            Token token = new11(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 12:
                        {
                            Token token = new12(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 13:
                        {
                            Token token = new13(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 14:
                        {
                            Token token = new14(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 15:
                        {
                            Token token = new15(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 16:
                        {
                            Token token = new16(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 17:
                        {
                            Token token = new17(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 18:
                        {
                            Token token = new18(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 19:
                        {
                            Token token = new19(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 20:
                        {
                            Token token = new20(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 21:
                        {
                            Token token = new21(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 22:
                        {
                            Token token = new22(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 23:
                        {
                            Token token = new23(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 24:
                        {
                            Token token = new24(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 25:
                        {
                            Token token = new25(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 26:
                        {
                            Token token = new26(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 27:
                        {
                            Token token = new27(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 28:
                        {
                            Token token = new28(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 29:
                        {
                            Token token = new29(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 30:
                        {
                            Token token = new30(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 31:
                        {
                            Token token = new31(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 32:
                        {
                            Token token = new32(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 33:
                        {
                            Token token = new33(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 34:
                        {
                            Token token = new34(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 35:
                        {
                            Token token = new35(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 36:
                        {
                            Token token = new36(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 37:
                        {
                            Token token = new37(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 38:
                        {
                            Token token = new38(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 39:
                        {
                            Token token = new39(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 40:
                        {
                            Token token = new40(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 41:
                        {
                            Token token = new41(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 42:
                        {
                            Token token = new42(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 43:
                        {
                            Token token = new43(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 44:
                        {
                            Token token = new44(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 45:
                        {
                            Token token = new45(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 46:
                        {
                            Token token = new46(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 47:
                        {
                            Token token = new47(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 48:
                        {
                            Token token = new48(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 49:
                        {
                            Token token = new49(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 50:
                        {
                            Token token = new50(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 51:
                        {
                            Token token = new51(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 52:
                        {
                            Token token = new52(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 53:
                        {
                            Token token = new53(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 54:
                        {
                            Token token = new54(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 55:
                        {
                            Token token = new55(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 56:
                        {
                            Token token = new56(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 57:
                        {
                            Token token = new57(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 58:
                        {
                            Token token = new58(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 59:
                        {
                            Token token = new59(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 60:
                        {
                            Token token = new60(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 61:
                        {
                            Token token = new61(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 62:
                        {
                            Token token = new62(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 63:
                        {
                            Token token = new63(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 64:
                        {
                            Token token = new64(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 65:
                        {
                            Token token = new65(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 66:
                        {
                            Token token = new66(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 67:
                        {
                            Token token = new67(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 68:
                        {
                            Token token = new68(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 69:
                        {
                            Token token = new69(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 70:
                        {
                            Token token = new70(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 71:
                        {
                            Token token = new71(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 72:
                        {
                            Token token = new72(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 73:
                        {
                            Token token = new73(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 74:
                        {
                            Token token = new74(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 75:
                        {
                            Token token = new75(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 76:
                        {
                            Token token = new76(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 77:
                        {
                            Token token = new77(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 78:
                        {
                            Token token = new78(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 79:
                        {
                            Token token = new79(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 80:
                        {
                            Token token = new80(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 81:
                        {
                            Token token = new81(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 82:
                        {
                            Token token = new82(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 83:
                        {
                            Token token = new83(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 84:
                        {
                            Token token = new84(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 85:
                        {
                            Token token = new85(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 86:
                        {
                            Token token = new86(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 87:
                        {
                            Token token = new87(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 88:
                        {
                            Token token = new88(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 89:
                        {
                            Token token = new89(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 90:
                        {
                            Token token = new90(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 91:
                        {
                            Token token = new91(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 92:
                        {
                            Token token = new92(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 93:
                        {
                            Token token = new93(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 94:
                        {
                            Token token = new94(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 95:
                        {
                            Token token = new95(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 96:
                        {
                            Token token = new96(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 97:
                        {
                            Token token = new97(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 98:
                        {
                            Token token = new98(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 99:
                        {
                            Token token = new99(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 100:
                        {
                            Token token = new100(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 101:
                        {
                            Token token = new101(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 102:
                        {
                            Token token = new102(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 103:
                        {
                            Token token = new103(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 104:
                        {
                            Token token = new104(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 105:
                        {
                            Token token = new105(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 106:
                        {
                            Token token = new106(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 107:
                        {
                            Token token = new107(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    case 108:
                        {
                            Token token = new108(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            pos = accept_pos;
                            line = accept_line;
                            return token;
                        }
                    }
                }
                else
                {
                    if(text.length() > 0)
                    {
                        throw new LexerException(
                            "[" + (start_line + 1) + "," + (start_pos + 1) + "]" +
                            " Unknown token: " + text);
                    }
                    else
                    {
                        EOF token = new EOF(
                            start_line + 1,
                            start_pos + 1);
                        return token;
                    }
                }
            }
        }
    }

    Token new0(String text, int line, int pos) { return new TWhiteSpace(text, line, pos); }
    Token new1(String text, int line, int pos) { return new TTraditionalComment(text, line, pos); }
    Token new2(String text, int line, int pos) { return new TDocumentationComment(text, line, pos); }
    Token new3(String text, int line, int pos) { return new TDdslInitializer(text, line, pos); }
    Token new4(String text, int line, int pos) { return new TEndOfLineComment(text, line, pos); }
    Token new5(int line, int pos) { return new TAbstract(line, pos); }
    Token new6(int line, int pos) { return new TDefault(line, pos); }
    Token new7(int line, int pos) { return new TIf(line, pos); }
    Token new8(int line, int pos) { return new TPrivate(line, pos); }
    Token new9(int line, int pos) { return new TThrow(line, pos); }
    Token new10(int line, int pos) { return new TBoolean(line, pos); }
    Token new11(int line, int pos) { return new TDo(line, pos); }
    Token new12(int line, int pos) { return new TImplements(line, pos); }
    Token new13(int line, int pos) { return new TProtected(line, pos); }
    Token new14(int line, int pos) { return new TThrows(line, pos); }
    Token new15(int line, int pos) { return new TBreak(line, pos); }
    Token new16(int line, int pos) { return new TDouble(line, pos); }
    Token new17(int line, int pos) { return new TImport(line, pos); }
    Token new18(int line, int pos) { return new TPublic(line, pos); }
    Token new19(int line, int pos) { return new TTransient(line, pos); }
    Token new20(int line, int pos) { return new TByte(line, pos); }
    Token new21(int line, int pos) { return new TElse(line, pos); }
    Token new22(int line, int pos) { return new TInstanceof(line, pos); }
    Token new23(int line, int pos) { return new TReturn(line, pos); }
    Token new24(int line, int pos) { return new TTry(line, pos); }
    Token new25(int line, int pos) { return new TCase(line, pos); }
    Token new26(int line, int pos) { return new TExtends(line, pos); }
    Token new27(int line, int pos) { return new TInt(line, pos); }
    Token new28(int line, int pos) { return new TShort(line, pos); }
    Token new29(int line, int pos) { return new TVoid(line, pos); }
    Token new30(int line, int pos) { return new TCatch(line, pos); }
    Token new31(int line, int pos) { return new TFinal(line, pos); }
    Token new32(int line, int pos) { return new TInterface(line, pos); }
    Token new33(int line, int pos) { return new TStatic(line, pos); }
    Token new34(int line, int pos) { return new TVolatile(line, pos); }
    Token new35(int line, int pos) { return new TChar(line, pos); }
    Token new36(int line, int pos) { return new TFinally(line, pos); }
    Token new37(int line, int pos) { return new TLong(line, pos); }
    Token new38(int line, int pos) { return new TSuper(line, pos); }
    Token new39(int line, int pos) { return new TWhile(line, pos); }
    Token new40(int line, int pos) { return new TClass(line, pos); }
    Token new41(int line, int pos) { return new TFloat(line, pos); }
    Token new42(int line, int pos) { return new TNative(line, pos); }
    Token new43(int line, int pos) { return new TSwitch(line, pos); }
    Token new44(int line, int pos) { return new TConst(line, pos); }
    Token new45(int line, int pos) { return new TFor(line, pos); }
    Token new46(int line, int pos) { return new TNew(line, pos); }
    Token new47(int line, int pos) { return new TSynchronized(line, pos); }
    Token new48(int line, int pos) { return new TContinue(line, pos); }
    Token new49(int line, int pos) { return new TGoto(line, pos); }
    Token new50(int line, int pos) { return new TPackage(line, pos); }
    Token new51(int line, int pos) { return new TThis(line, pos); }
    Token new52(int line, int pos) { return new TTrue(line, pos); }
    Token new53(int line, int pos) { return new TFalse(line, pos); }
    Token new54(int line, int pos) { return new TNull(line, pos); }
    Token new55(int line, int pos) { return new TLParenthese(line, pos); }
    Token new56(int line, int pos) { return new TRParenthese(line, pos); }
    Token new57(int line, int pos) { return new TLBrace(line, pos); }
    Token new58(int line, int pos) { return new TRBrace(line, pos); }
    Token new59(int line, int pos) { return new TLBracket(line, pos); }
    Token new60(int line, int pos) { return new TRBracket(line, pos); }
    Token new61(int line, int pos) { return new TSemicolon(line, pos); }
    Token new62(int line, int pos) { return new TComma(line, pos); }
    Token new63(int line, int pos) { return new TDot(line, pos); }
    Token new64(int line, int pos) { return new TAssign(line, pos); }
    Token new65(int line, int pos) { return new TLt(line, pos); }
    Token new66(int line, int pos) { return new TGt(line, pos); }
    Token new67(int line, int pos) { return new TComplement(line, pos); }
    Token new68(int line, int pos) { return new TBitComplement(line, pos); }
    Token new69(int line, int pos) { return new TQuestion(line, pos); }
    Token new70(int line, int pos) { return new TColon(line, pos); }
    Token new71(int line, int pos) { return new TEq(line, pos); }
    Token new72(int line, int pos) { return new TLteq(line, pos); }
    Token new73(int line, int pos) { return new TGteq(line, pos); }
    Token new74(int line, int pos) { return new TNeq(line, pos); }
    Token new75(int line, int pos) { return new TAnd(line, pos); }
    Token new76(int line, int pos) { return new TOr(line, pos); }
    Token new77(int line, int pos) { return new TPlusPlus(line, pos); }
    Token new78(int line, int pos) { return new TMinusMinus(line, pos); }
    Token new79(int line, int pos) { return new TPlus(line, pos); }
    Token new80(int line, int pos) { return new TMinus(line, pos); }
    Token new81(int line, int pos) { return new TStar(line, pos); }
    Token new82(int line, int pos) { return new TDiv(line, pos); }
    Token new83(int line, int pos) { return new TBitAnd(line, pos); }
    Token new84(int line, int pos) { return new TBitOr(line, pos); }
    Token new85(int line, int pos) { return new TBitXor(line, pos); }
    Token new86(int line, int pos) { return new TMod(line, pos); }
    Token new87(int line, int pos) { return new TShiftLeft(line, pos); }
    Token new88(int line, int pos) { return new TSignedShiftRight(line, pos); }
    Token new89(int line, int pos) { return new TUnsignedShiftRight(line, pos); }
    Token new90(int line, int pos) { return new TPlusAssign(line, pos); }
    Token new91(int line, int pos) { return new TMinusAssign(line, pos); }
    Token new92(int line, int pos) { return new TStarAssign(line, pos); }
    Token new93(int line, int pos) { return new TDivAssign(line, pos); }
    Token new94(int line, int pos) { return new TBitAndAssign(line, pos); }
    Token new95(int line, int pos) { return new TBitOrAssign(line, pos); }
    Token new96(int line, int pos) { return new TBitXorAssign(line, pos); }
    Token new97(int line, int pos) { return new TModAssign(line, pos); }
    Token new98(int line, int pos) { return new TShiftLeftAssign(line, pos); }
    Token new99(int line, int pos) { return new TSignedShiftRightAssign(line, pos); }
    Token new100(int line, int pos) { return new TUnsignedShiftRightAssign(line, pos); }
    Token new101(String text, int line, int pos) { return new TDecimalIntegerLiteral(text, line, pos); }
    Token new102(String text, int line, int pos) { return new THexIntegerLiteral(text, line, pos); }
    Token new103(String text, int line, int pos) { return new TOctalIntegerLiteral(text, line, pos); }
    Token new104(String text, int line, int pos) { return new TFloatingPointLiteral(text, line, pos); }
    Token new105(String text, int line, int pos) { return new TCharacterLiteral(text, line, pos); }
    Token new106(String text, int line, int pos) { return new TStringLiteral(text, line, pos); }
    Token new107(String text, int line, int pos) { return new TIdentifier(text, line, pos); }
    Token new108(String text, int line, int pos) { return new TDdslExprIdentifier(text, line, pos); }

    private int getChar() throws IOException
    {
        if(eof)
        {
            return -1;
        }

        int result = in.read();

        if(result == -1)
        {
            eof = true;
        }

        return result;
    }

    private void pushBack(int acceptLength) throws IOException
    {
        int length = text.length();
        for(int i = length - 1; i >= acceptLength; i--)
        {
            eof = false;

            in.unread(text.charAt(i));
        }
    }

    protected void unread(Token token) throws IOException
    {
        String text = token.getText();
        int length = text.length();

        for(int i = length - 1; i >= 0; i--)
        {
            eof = false;

            in.unread(text.charAt(i));
        }

        pos = token.getPos() - 1;
        line = token.getLine() - 1;
    }

    private String getText(int acceptLength)
    {
        StringBuffer s = new StringBuffer(acceptLength);
        for(int i = 0; i < acceptLength; i++)
        {
            s.append(text.charAt(i));
        }

        return s.toString();
    }

    private static int[][][][] gotoTable;
/*  {
        { // INITIAL
            {{9, 9, 1}, {10, 10, 2}, {12, 12, 3}, {13, 13, 4}, {32, 32, 5}, {33, 33, 6}, {34, 34, 7}, {36, 36, 8}, {37, 37, 9}, {38, 38, 10}, {39, 39, 11}, {40, 40, 12}, {41, 41, 13}, {42, 42, 14}, {43, 43, 15}, {44, 44, 16}, {45, 45, 17}, {46, 46, 18}, {47, 47, 19}, {48, 48, 20}, {49, 57, 21}, {58, 58, 22}, {59, 59, 23}, {60, 60, 24}, {61, 61, 25}, {62, 62, 26}, {63, 63, 27}, {64, 64, 28}, {65, 90, 29}, {91, 91, 30}, {93, 93, 31}, {94, 94, 32}, {95, 95, 33}, {97, 97, 34}, {98, 98, 35}, {99, 99, 36}, {100, 100, 37}, {101, 101, 38}, {102, 102, 39}, {103, 103, 40}, {104, 104, 41}, {105, 105, 42}, {106, 107, 41}, {108, 108, 43}, {109, 109, 41}, {110, 110, 44}, {111, 111, 41}, {112, 112, 45}, {113, 113, 41}, {114, 114, 46}, {115, 115, 47}, {116, 116, 48}, {117, 117, 41}, {118, 118, 49}, {119, 119, 50}, {120, 122, 41}, {123, 123, 51}, {124, 124, 52}, {125, 125, 53}, {126, 126, 54}, {170, 170, 55}, {181, 181, 56}, {186, 186, 57}, {192, 214, 58}, {216, 246, 59}, {248, 501, 60}, {506, 535, 61}, {592, 680, 62}, {688, 696, 63}, {699, 705, 64}, {720, 721, 65}, {736, 740, 66}, {890, 890, 67}, {902, 902, 68}, {904, 906, 69}, {908, 908, 70}, {910, 929, 71}, {931, 974, 72}, {976, 982, 73}, {986, 986, 74}, {988, 988, 75}, {990, 990, 76}, {992, 992, 77}, {994, 1011, 78}, {1025, 1036, 79}, {1038, 1103, 80}, {1105, 1116, 81}, {1118, 1153, 82}, {1168, 1220, 83}, {1223, 1224, 84}, {1227, 1228, 85}, {1232, 1259, 86}, {1262, 1269, 87}, {1272, 1273, 88}, {1329, 1366, 89}, {1369, 1369, 90}, {1377, 1415, 91}, {1488, 1514, 92}, {1520, 1522, 93}, {1569, 1594, 94}, {1600, 1610, 95}, {1649, 1719, 96}, {1722, 1726, 97}, {1728, 1742, 98}, {1744, 1747, 99}, {1749, 1749, 100}, {1765, 1766, 101}, {2309, 2361, 102}, {2365, 2365, 103}, {2392, 2401, 104}, {2437, 2444, 105}, {2447, 2448, 106}, {2451, 2472, 107}, {2474, 2480, 108}, {2482, 2482, 109}, {2486, 2489, 110}, {2524, 2525, 111}, {2527, 2529, 112}, {2544, 2545, 113}, {2565, 2570, 114}, {2575, 2576, 115}, {2579, 2600, 116}, {2602, 2608, 117}, {2610, 2611, 118}, {2613, 2614, 119}, {2616, 2617, 120}, {2649, 2652, 121}, {2654, 2654, 122}, {2674, 2676, 123}, {2693, 2699, 124}, {2701, 2701, 125}, {2703, 2705, 126}, {2707, 2728, 127}, {2730, 2736, 128}, {2738, 2739, 129}, {2741, 2745, 130}, {2749, 2749, 131}, {2784, 2784, 132}, {2821, 2828, 133}, {2831, 2832, 134}, {2835, 2856, 135}, {2858, 2864, 136}, {2866, 2867, 137}, {2870, 2873, 138}, {2877, 2877, 139}, {2908, 2909, 140}, {2911, 2913, 141}, {2949, 2954, 142}, {2958, 2960, 143}, {2962, 2965, 144}, {2969, 2970, 145}, {2972, 2972, 146}, {2974, 2975, 147}, {2979, 2980, 148}, {2984, 2986, 149}, {2990, 2997, 150}, {2999, 3001, 151}, {3077, 3084, 152}, {3086, 3088, 153}, {3090, 3112, 154}, {3114, 3123, 155}, {3125, 3129, 156}, {3168, 3169, 157}, {3205, 3212, 158}, {3214, 3216, 159}, {3218, 3240, 160}, {3242, 3251, 161}, {3253, 3257, 162}, {3294, 3294, 163}, {3296, 3297, 164}, {3333, 3340, 165}, {3342, 3344, 166}, {3346, 3368, 167}, {3370, 3385, 168}, {3424, 3425, 169}, {3585, 3630, 170}, {3632, 3632, 171}, {3634, 3635, 172}, {3648, 3654, 173}, {3713, 3714, 174}, {3716, 3716, 175}, {3719, 3720, 176}, {3722, 3722, 177}, {3725, 3725, 178}, {3732, 3735, 179}, {3737, 3743, 180}, {3745, 3747, 181}, {3749, 3749, 182}, {3751, 3751, 183}, {3754, 3755, 184}, {3757, 3758, 185}, {3760, 3760, 186}, {3762, 3763, 187}, {3773, 3773, 188}, {3776, 3780, 189}, {3782, 3782, 190}, {3804, 3805, 191}, {3904, 3911, 192}, {3913, 3945, 193}, {4256, 4293, 194}, {4304, 4342, 195}, {4352, 4441, 196}, {4447, 4514, 197}, {4520, 4601, 198}, {7680, 7835, 199}, {7840, 7929, 200}, {7936, 7957, 201}, {7960, 7965, 202}, {7968, 8005, 203}, {8008, 8013, 204}, {8016, 8023, 205}, {8025, 8025, 206}, {8027, 8027, 207}, {8029, 8029, 208}, {8031, 8061, 209}, {8064, 8116, 210}, {8118, 8124, 211}, {8126, 8126, 212}, {8130, 8132, 213}, {8134, 8140, 214}, {8144, 8147, 215}, {8150, 8155, 216}, {8160, 8172, 217}, {8178, 8180, 218}, {8182, 8188, 219}, {8319, 8319, 220}, {8450, 8450, 221}, {8455, 8455, 222}, {8458, 8467, 223}, {8469, 8469, 224}, {8472, 8477, 225}, {8484, 8484, 226}, {8486, 8486, 227}, {8488, 8488, 228}, {8490, 8497, 229}, {8499, 8504, 230}, {12293, 12293, 231}, {12337, 12341, 232}, {12353, 12436, 233}, {12443, 12446, 234}, {12449, 12538, 235}, {12540, 12542, 236}, {12549, 12588, 237}, {12593, 12686, 238}, {19968, 40869, 239}, {44032, 55203, 240}, {63744, 64045, 241}, {64256, 64262, 242}, {64275, 64279, 243}, {64287, 64296, 244}, {64298, 64310, 245}, {64312, 64316, 246}, {64318, 64318, 247}, {64320, 64321, 248}, {64323, 64324, 249}, {64326, 64433, 250}, {64467, 64829, 251}, {64848, 64911, 252}, {64914, 64967, 253}, {65008, 65019, 254}, {65136, 65138, 255}, {65140, 65140, 256}, {65142, 65276, 257}, {65313, 65338, 258}, {65345, 65370, 259}, {65382, 65470, 260}, {65474, 65479, 261}, {65482, 65487, 262}, {65490, 65495, 263}, {65498, 65500, 264}, },
            {{9, 32, -2}, },
            {{9, 32, -2}, },
            {{9, 32, -2}, },
            {{9, 9, 1}, {10, 10, 265}, {12, 32, -2}, },
            {{9, 32, -2}, },
            {{61, 61, 266}, },
            {{0, 9, 267}, {11, 12, 267}, {14, 33, 267}, {34, 34, 268}, {35, 91, 267}, {92, 92, 269}, {93, 65535, 267}, },
            {{36, 36, 270}, {48, 57, 271}, {64, 64, 272}, {65, 90, 273}, {95, 95, 274}, {97, 122, 275}, {170, 170, 276}, {181, 181, 277}, {186, 186, 278}, {192, 214, 279}, {216, 246, 280}, {248, 501, 281}, {506, 535, 282}, {592, 680, 283}, {688, 696, 284}, {699, 705, 285}, {720, 721, 286}, {736, 740, 287}, {890, 890, 288}, {902, 902, 289}, {904, 906, 290}, {908, 908, 291}, {910, 929, 292}, {931, 974, 293}, {976, 982, 294}, {986, 986, 295}, {988, 988, 296}, {990, 990, 297}, {992, 992, 298}, {994, 1011, 299}, {1025, 1036, 300}, {1038, 1103, 301}, {1105, 1116, 302}, {1118, 1153, 303}, {1168, 1220, 304}, {1223, 1224, 305}, {1227, 1228, 306}, {1232, 1259, 307}, {1262, 1269, 308}, {1272, 1273, 309}, {1329, 1366, 310}, {1369, 1369, 311}, {1377, 1415, 312}, {1488, 1514, 313}, {1520, 1522, 314}, {1569, 1594, 315}, {1600, 1610, 316}, {1632, 1641, 317}, {1649, 1719, 318}, {1722, 1726, 319}, {1728, 1742, 320}, {1744, 1747, 321}, {1749, 1749, 322}, {1765, 1766, 323}, {1776, 1785, 324}, {2309, 2361, 325}, {2365, 2365, 326}, {2392, 2401, 327}, {2406, 2415, 328}, {2437, 2444, 329}, {2447, 2448, 330}, {2451, 2472, 331}, {2474, 2480, 332}, {2482, 2482, 333}, {2486, 2489, 334}, {2524, 2525, 335}, {2527, 2529, 336}, {2534, 2543, 337}, {2544, 2545, 338}, {2565, 2570, 339}, {2575, 2576, 340}, {2579, 2600, 341}, {2602, 2608, 342}, {2610, 2611, 343}, {2613, 2614, 344}, {2616, 2617, 345}, {2649, 2652, 346}, {2654, 2654, 347}, {2662, 2671, 348}, {2674, 2676, 349}, {2693, 2699, 350}, {2701, 2701, 351}, {2703, 2705, 352}, {2707, 2728, 353}, {2730, 2736, 354}, {2738, 2739, 355}, {2741, 2745, 356}, {2749, 2749, 357}, {2784, 2784, 358}, {2790, 2799, 359}, {2821, 2828, 360}, {2831, 2832, 361}, {2835, 2856, 362}, {2858, 2864, 363}, {2866, 2867, 364}, {2870, 2873, 365}, {2877, 2877, 366}, {2908, 2909, 367}, {2911, 2913, 368}, {2918, 2927, 369}, {2949, 2954, 370}, {2958, 2960, 371}, {2962, 2965, 372}, {2969, 2970, 373}, {2972, 2972, 374}, {2974, 2975, 375}, {2979, 2980, 376}, {2984, 2986, 377}, {2990, 2997, 378}, {2999, 3001, 379}, {3047, 3055, 380}, {3077, 3084, 381}, {3086, 3088, 382}, {3090, 3112, 383}, {3114, 3123, 384}, {3125, 3129, 385}, {3168, 3169, 386}, {3174, 3183, 387}, {3205, 3212, 388}, {3214, 3216, 389}, {3218, 3240, 390}, {3242, 3251, 391}, {3253, 3257, 392}, {3294, 3294, 393}, {3296, 3297, 394}, {3302, 3311, 395}, {3333, 3340, 396}, {3342, 3344, 397}, {3346, 3368, 398}, {3370, 3385, 399}, {3424, 3425, 400}, {3430, 3439, 401}, {3585, 3630, 402}, {3632, 3632, 403}, {3634, 3635, 404}, {3648, 3654, 405}, {3664, 3673, 406}, {3713, 3714, 407}, {3716, 3716, 408}, {3719, 3720, 409}, {3722, 3722, 410}, {3725, 3725, 411}, {3732, 3735, 412}, {3737, 3743, 413}, {3745, 3747, 414}, {3749, 3749, 415}, {3751, 3751, 416}, {3754, 3755, 417}, {3757, 3758, 418}, {3760, 3760, 419}, {3762, 3763, 420}, {3773, 3773, 421}, {3776, 3780, 422}, {3782, 3782, 423}, {3792, 3801, 424}, {3804, 3805, 425}, {3872, 3881, 426}, {3904, 3911, 427}, {3913, 3945, 428}, {4256, 4293, 429}, {4304, 4342, 430}, {4352, 4441, 431}, {4447, 4514, 432}, {4520, 4601, 433}, {7680, 7835, 434}, {7840, 7929, 435}, {7936, 7957, 436}, {7960, 7965, 437}, {7968, 8005, 438}, {8008, 8013, 439}, {8016, 8023, 440}, {8025, 8025, 441}, {8027, 8027, 442}, {8029, 8029, 443}, {8031, 8061, 444}, {8064, 8116, 445}, {8118, 8124, 446}, {8126, 8126, 447}, {8130, 8132, 448}, {8134, 8140, 449}, {8144, 8147, 450}, {8150, 8155, 451}, {8160, 8172, 452}, {8178, 8180, 453}, {8182, 8188, 454}, {8319, 8319, 455}, {8450, 8450, 456}, {8455, 8455, 457}, {8458, 8467, 458}, {8469, 8469, 459}, {8472, 8477, 460}, {8484, 8484, 461}, {8486, 8486, 462}, {8488, 8488, 463}, {8490, 8497, 464}, {8499, 8504, 465}, {12293, 12293, 466}, {12337, 12341, 467}, {12353, 12436, 468}, {12443, 12446, 469}, {12449, 12538, 470}, {12540, 12542, 471}, {12549, 12588, 472}, {12593, 12686, 473}, {19968, 40869, 474}, {44032, 55203, 475}, {63744, 64045, 476}, {64256, 64262, 477}, {64275, 64279, 478}, {64287, 64296, 479}, {64298, 64310, 480}, {64312, 64316, 481}, {64318, 64318, 482}, {64320, 64321, 483}, {64323, 64324, 484}, {64326, 64433, 485}, {64467, 64829, 486}, {64848, 64911, 487}, {64914, 64967, 488}, {65008, 65019, 489}, {65136, 65138, 490}, {65140, 65140, 491}, {65142, 65276, 492}, {65296, 65305, 493}, {65313, 65338, 494}, {65345, 65370, 495}, {65382, 65470, 496}, {65474, 65479, 497}, {65482, 65487, 498}, {65490, 65495, 499}, {65498, 65500, 500}, },
            {{36, 36, 501}, {61, 61, 502}, {64, 64, 503}, {65, 90, 504}, {95, 95, 505}, {97, 122, 506}, {123, 123, 507}, {170, 170, 508}, {181, 181, 509}, {186, 186, 510}, {192, 214, 511}, {216, 246, 512}, {248, 501, 513}, {506, 535, 514}, {592, 680, 515}, {688, 696, 516}, {699, 705, 517}, {720, 721, 518}, {736, 740, 519}, {890, 890, 520}, {902, 902, 521}, {904, 906, 522}, {908, 908, 523}, {910, 929, 524}, {931, 974, 525}, {976, 982, 526}, {986, 986, 527}, {988, 988, 528}, {990, 990, 529}, {992, 992, 530}, {994, 1011, 531}, {1025, 1036, 532}, {1038, 1103, 533}, {1105, 1116, 534}, {1118, 1153, 535}, {1168, 1220, 536}, {1223, 1224, 537}, {1227, 1228, 538}, {1232, 1259, 539}, {1262, 1269, 540}, {1272, 1273, 541}, {1329, 1366, 542}, {1369, 1369, 543}, {1377, 1415, 544}, {1488, 1514, 545}, {1520, 1522, 546}, {1569, 1594, 547}, {1600, 1610, 548}, {1649, 1719, 549}, {1722, 1726, 550}, {1728, 1742, 551}, {1744, 1747, 552}, {1749, 1749, 553}, {1765, 1766, 554}, {2309, 2361, 555}, {2365, 2365, 556}, {2392, 2401, 557}, {2437, 2444, 558}, {2447, 2448, 559}, {2451, 2472, 560}, {2474, 2480, 561}, {2482, 2482, 562}, {2486, 2489, 563}, {2524, 2525, 564}, {2527, 2529, 565}, {2544, 2545, 566}, {2565, 2570, 567}, {2575, 2576, 568}, {2579, 2600, 569}, {2602, 2608, 570}, {2610, 2611, 571}, {2613, 2614, 572}, {2616, 2617, 573}, {2649, 2652, 574}, {2654, 2654, 575}, {2674, 2676, 576}, {2693, 2699, 577}, {2701, 2701, 578}, {2703, 2705, 579}, {2707, 2728, 580}, {2730, 2736, 581}, {2738, 2739, 582}, {2741, 2745, 583}, {2749, 2749, 584}, {2784, 2784, 585}, {2821, 2828, 586}, {2831, 2832, 587}, {2835, 2856, 588}, {2858, 2864, 589}, {2866, 2867, 590}, {2870, 2873, 591}, {2877, 2877, 592}, {2908, 2909, 593}, {2911, 2913, 594}, {2949, 2954, 595}, {2958, 2960, 596}, {2962, 2965, 597}, {2969, 2970, 598}, {2972, 2972, 599}, {2974, 2975, 600}, {2979, 2980, 601}, {2984, 2986, 602}, {2990, 2997, 603}, {2999, 3001, 604}, {3077, 3084, 605}, {3086, 3088, 606}, {3090, 3112, 607}, {3114, 3123, 608}, {3125, 3129, 609}, {3168, 3169, 610}, {3205, 3212, 611}, {3214, 3216, 612}, {3218, 3240, 613}, {3242, 3251, 614}, {3253, 3257, 615}, {3294, 3294, 616}, {3296, 3297, 617}, {3333, 3340, 618}, {3342, 3344, 619}, {3346, 3368, 620}, {3370, 3385, 621}, {3424, 3425, 622}, {3585, 3630, 623}, {3632, 3632, 624}, {3634, 3635, 625}, {3648, 3654, 626}, {3713, 3714, 627}, {3716, 3716, 628}, {3719, 3720, 629}, {3722, 3722, 630}, {3725, 3725, 631}, {3732, 3735, 632}, {3737, 3743, 633}, {3745, 3747, 634}, {3749, 3749, 635}, {3751, 3751, 636}, {3754, 3755, 637}, {3757, 3758, 638}, {3760, 3760, 639}, {3762, 3763, 640}, {3773, 3773, 641}, {3776, 3780, 642}, {3782, 3782, 643}, {3804, 3805, 644}, {3904, 3911, 645}, {3913, 3945, 646}, {4256, 4293, 647}, {4304, 4342, 648}, {4352, 4441, 649}, {4447, 4514, 650}, {4520, 4601, 651}, {7680, 7835, 652}, {7840, 7929, 653}, {7936, 7957, 654}, {7960, 7965, 655}, {7968, 8005, 656}, {8008, 8013, 657}, {8016, 8023, 658}, {8025, 8025, 659}, {8027, 8027, 660}, {8029, 8029, 661}, {8031, 8061, 662}, {8064, 8116, 663}, {8118, 8124, 664}, {8126, 8126, 665}, {8130, 8132, 666}, {8134, 8140, 667}, {8144, 8147, 668}, {8150, 8155, 669}, {8160, 8172, 670}, {8178, 8180, 671}, {8182, 8188, 672}, {8319, 8319, 673}, {8450, 8450, 674}, {8455, 8455, 675}, {8458, 8467, 676}, {8469, 8469, 677}, {8472, 8477, 678}, {8484, 8484, 679}, {8486, 8486, 680}, {8488, 8488, 681}, {8490, 8497, 682}, {8499, 8504, 683}, {12293, 12293, 684}, {12337, 12341, 685}, {12353, 12436, 686}, {12443, 12446, 687}, {12449, 12538, 688}, {12540, 12542, 689}, {12549, 12588, 690}, {12593, 12686, 691}, {19968, 40869, 692}, {44032, 55203, 693}, {63744, 64045, 694}, {64256, 64262, 695}, {64275, 64279, 696}, {64287, 64296, 697}, {64298, 64310, 698}, {64312, 64316, 699}, {64318, 64318, 700}, {64320, 64321, 701}, {64323, 64324, 702}, {64326, 64433, 703}, {64467, 64829, 704}, {64848, 64911, 705}, {64914, 64967, 706}, {65008, 65019, 707}, {65136, 65138, 708}, {65140, 65140, 709}, {65142, 65276, 710}, {65313, 65338, 711}, {65345, 65370, 712}, {65382, 65470, 713}, {65474, 65479, 714}, {65482, 65487, 715}, {65490, 65495, 716}, {65498, 65500, 717}, },
            {{38, 38, 718}, {61, 61, 719}, },
            {{0, 9, 720}, {11, 12, 720}, {14, 38, 720}, {40, 91, 720}, {92, 92, 721}, {93, 65535, 720}, },
            {},
            {},
            {{61, 61, 722}, },
            {{43, 43, 723}, {61, 61, 724}, },
            {},
            {{45, 45, 725}, {61, 61, 726}, },
            {{48, 57, 727}, },
            {{42, 42, 728}, {47, 47, 729}, {61, 61, 730}, },
            {{46, 46, 731}, {48, 55, 732}, {56, 57, 733}, {68, 68, 734}, {69, 69, 735}, {70, 70, 736}, {76, 76, 737}, {88, 88, 738}, {100, 100, 739}, {101, 101, 740}, {102, 102, 741}, {108, 108, 742}, {120, 120, 743}, },
            {{46, 46, 731}, {48, 57, 744}, {68, 76, -22}, {100, 108, -22}, },
            {},
            {},
            {{60, 60, 745}, {61, 61, 746}, },
            {{61, 61, 747}, },
            {{61, 61, 748}, {62, 62, 749}, },
            {},
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {},
            {},
            {{61, 61, 750}, },
            {{36, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 275}, {98, 98, 751}, {99, 122, 275}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 110, 275}, {111, 111, 752}, {112, 113, 275}, {114, 114, 753}, {115, 120, 275}, {121, 121, 754}, {122, 122, 275}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 755}, {98, 103, 275}, {104, 104, 756}, {105, 107, 275}, {108, 108, 757}, {109, 110, 275}, {111, 111, 758}, {112, 122, 275}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 100, 275}, {101, 101, 759}, {102, 110, 275}, {111, 111, 760}, {112, 65500, -38}, },
            {{36, 95, -10}, {97, 107, 275}, {108, 108, 761}, {109, 119, 275}, {120, 120, 762}, {121, 122, 275}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 763}, {98, 104, 275}, {105, 105, 764}, {106, 107, 275}, {108, 108, 765}, {109, 110, 275}, {111, 111, 766}, {112, 65500, -38}, },
            {{36, 110, -37}, {111, 111, 767}, {112, 65500, -38}, },
            {{36, 65500, -10}, },
            {{36, 95, -10}, {97, 101, 275}, {102, 102, 768}, {103, 108, 275}, {109, 109, 769}, {110, 110, 770}, {111, 122, 275}, {170, 65500, -10}, },
            {{36, 110, -37}, {111, 111, 771}, {112, 65500, -38}, },
            {{36, 95, -10}, {97, 97, 772}, {98, 100, 275}, {101, 101, 773}, {102, 116, 275}, {117, 117, 774}, {118, 122, 275}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 775}, {98, 113, 275}, {114, 114, 776}, {115, 116, 275}, {117, 117, 777}, {118, 65500, -46}, },
            {{36, 100, -39}, {101, 101, 778}, {102, 122, 275}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 103, 275}, {104, 104, 779}, {105, 115, 275}, {116, 116, 780}, {117, 117, 781}, {118, 118, 275}, {119, 119, 782}, {120, 120, 275}, {121, 121, 783}, {122, 65500, -37}, },
            {{36, 103, -49}, {104, 104, 784}, {105, 113, 275}, {114, 114, 785}, {115, 122, 275}, {170, 65500, -10}, },
            {{36, 110, -37}, {111, 111, 786}, {112, 65500, -38}, },
            {{36, 103, -49}, {104, 104, 787}, {105, 122, 275}, {170, 65500, -10}, },
            {},
            {{61, 61, 788}, {124, 124, 789}, },
            {},
            {},
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{9, 32, -2}, },
            {},
            {{0, 65535, -9}, },
            {},
            {{34, 34, 790}, {39, 39, 791}, {48, 51, 792}, {52, 55, 793}, {92, 92, 794}, {98, 98, 795}, {102, 102, 796}, {110, 110, 797}, {114, 114, 798}, {116, 116, 799}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 36, 800}, {48, 57, 801}, {64, 64, 802}, {65, 90, 803}, {95, 95, 804}, {97, 122, 805}, {170, 170, 806}, {181, 181, 807}, {186, 186, 808}, {192, 214, 809}, {216, 246, 810}, {248, 501, 811}, {506, 535, 812}, {592, 680, 813}, {688, 696, 814}, {699, 705, 815}, {720, 721, 816}, {736, 740, 817}, {890, 890, 818}, {902, 902, 819}, {904, 906, 820}, {908, 908, 821}, {910, 929, 822}, {931, 974, 823}, {976, 982, 824}, {986, 986, 825}, {988, 988, 826}, {990, 990, 827}, {992, 992, 828}, {994, 1011, 829}, {1025, 1036, 830}, {1038, 1103, 831}, {1105, 1116, 832}, {1118, 1153, 833}, {1168, 1220, 834}, {1223, 1224, 835}, {1227, 1228, 836}, {1232, 1259, 837}, {1262, 1269, 838}, {1272, 1273, 839}, {1329, 1366, 840}, {1369, 1369, 841}, {1377, 1415, 842}, {1488, 1514, 843}, {1520, 1522, 844}, {1569, 1594, 845}, {1600, 1610, 846}, {1632, 1641, 847}, {1649, 1719, 848}, {1722, 1726, 849}, {1728, 1742, 850}, {1744, 1747, 851}, {1749, 1749, 852}, {1765, 1766, 853}, {1776, 1785, 854}, {2309, 2361, 855}, {2365, 2365, 856}, {2392, 2401, 857}, {2406, 2415, 858}, {2437, 2444, 859}, {2447, 2448, 860}, {2451, 2472, 861}, {2474, 2480, 862}, {2482, 2482, 863}, {2486, 2489, 864}, {2524, 2525, 865}, {2527, 2529, 866}, {2534, 2543, 867}, {2544, 2545, 868}, {2565, 2570, 869}, {2575, 2576, 870}, {2579, 2600, 871}, {2602, 2608, 872}, {2610, 2611, 873}, {2613, 2614, 874}, {2616, 2617, 875}, {2649, 2652, 876}, {2654, 2654, 877}, {2662, 2671, 878}, {2674, 2676, 879}, {2693, 2699, 880}, {2701, 2701, 881}, {2703, 2705, 882}, {2707, 2728, 883}, {2730, 2736, 884}, {2738, 2739, 885}, {2741, 2745, 886}, {2749, 2749, 887}, {2784, 2784, 888}, {2790, 2799, 889}, {2821, 2828, 890}, {2831, 2832, 891}, {2835, 2856, 892}, {2858, 2864, 893}, {2866, 2867, 894}, {2870, 2873, 895}, {2877, 2877, 896}, {2908, 2909, 897}, {2911, 2913, 898}, {2918, 2927, 899}, {2949, 2954, 900}, {2958, 2960, 901}, {2962, 2965, 902}, {2969, 2970, 903}, {2972, 2972, 904}, {2974, 2975, 905}, {2979, 2980, 906}, {2984, 2986, 907}, {2990, 2997, 908}, {2999, 3001, 909}, {3047, 3055, 910}, {3077, 3084, 911}, {3086, 3088, 912}, {3090, 3112, 913}, {3114, 3123, 914}, {3125, 3129, 915}, {3168, 3169, 916}, {3174, 3183, 917}, {3205, 3212, 918}, {3214, 3216, 919}, {3218, 3240, 920}, {3242, 3251, 921}, {3253, 3257, 922}, {3294, 3294, 923}, {3296, 3297, 924}, {3302, 3311, 925}, {3333, 3340, 926}, {3342, 3344, 927}, {3346, 3368, 928}, {3370, 3385, 929}, {3424, 3425, 930}, {3430, 3439, 931}, {3585, 3630, 932}, {3632, 3632, 933}, {3634, 3635, 934}, {3648, 3654, 935}, {3664, 3673, 936}, {3713, 3714, 937}, {3716, 3716, 938}, {3719, 3720, 939}, {3722, 3722, 940}, {3725, 3725, 941}, {3732, 3735, 942}, {3737, 3743, 943}, {3745, 3747, 944}, {3749, 3749, 945}, {3751, 3751, 946}, {3754, 3755, 947}, {3757, 3758, 948}, {3760, 3760, 949}, {3762, 3763, 950}, {3773, 3773, 951}, {3776, 3780, 952}, {3782, 3782, 953}, {3792, 3801, 954}, {3804, 3805, 955}, {3872, 3881, 956}, {3904, 3911, 957}, {3913, 3945, 958}, {4256, 4293, 959}, {4304, 4342, 960}, {4352, 4441, 961}, {4447, 4514, 962}, {4520, 4601, 963}, {7680, 7835, 964}, {7840, 7929, 965}, {7936, 7957, 966}, {7960, 7965, 967}, {7968, 8005, 968}, {8008, 8013, 969}, {8016, 8023, 970}, {8025, 8025, 971}, {8027, 8027, 972}, {8029, 8029, 973}, {8031, 8061, 974}, {8064, 8116, 975}, {8118, 8124, 976}, {8126, 8126, 977}, {8130, 8132, 978}, {8134, 8140, 979}, {8144, 8147, 980}, {8150, 8155, 981}, {8160, 8172, 982}, {8178, 8180, 983}, {8182, 8188, 984}, {8319, 8319, 985}, {8450, 8450, 986}, {8455, 8455, 987}, {8458, 8467, 988}, {8469, 8469, 989}, {8472, 8477, 990}, {8484, 8484, 991}, {8486, 8486, 992}, {8488, 8488, 993}, {8490, 8497, 994}, {8499, 8504, 995}, {12293, 12293, 996}, {12337, 12341, 997}, {12353, 12436, 998}, {12443, 12446, 999}, {12449, 12538, 1000}, {12540, 12542, 1001}, {12549, 12588, 1002}, {12593, 12686, 1003}, {19968, 40869, 1004}, {44032, 55203, 1005}, {63744, 64045, 1006}, {64256, 64262, 1007}, {64275, 64279, 1008}, {64287, 64296, 1009}, {64298, 64310, 1010}, {64312, 64316, 1011}, {64318, 64318, 1012}, {64320, 64321, 1013}, {64323, 64324, 1014}, {64326, 64433, 1015}, {64467, 64829, 1016}, {64848, 64911, 1017}, {64914, 64967, 1018}, {65008, 65019, 1019}, {65136, 65138, 1020}, {65140, 65140, 1021}, {65142, 65276, 1022}, {65296, 65305, 1023}, {65313, 65338, 1024}, {65345, 65370, 1025}, {65382, 65470, 1026}, {65474, 65479, 1027}, {65482, 65487, 1028}, {65490, 65495, 1029}, {65498, 65500, 1030}, },
            {},
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{0, 9, 1031}, {10, 10, 1032}, {11, 12, 1031}, {13, 13, 1033}, {14, 124, 1031}, {125, 125, 1034}, {126, 65535, 1031}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {},
            {},
            {{39, 39, 1035}, },
            {{34, 34, 1036}, {39, 39, 1037}, {48, 51, 1038}, {52, 55, 1039}, {92, 92, 1040}, {98, 98, 1041}, {102, 102, 1042}, {110, 110, 1043}, {114, 114, 1044}, {116, 116, 1045}, },
            {},
            {},
            {},
            {},
            {},
            {{48, 57, 727}, {68, 68, 1046}, {69, 69, 1047}, {70, 70, 1048}, {100, 100, 1049}, {101, 101, 1050}, {102, 102, 1051}, },
            {{0, 9, 1052}, {10, 10, 1053}, {11, 12, 1052}, {13, 13, 1054}, {14, 41, 1052}, {42, 42, 1055}, {43, 65535, 1052}, },
            {{0, 9, 1056}, {10, 10, 1057}, {11, 12, 1056}, {13, 13, 1058}, {14, 65535, 1056}, },
            {},
            {{48, 57, 1059}, {68, 68, 1060}, {69, 69, 1061}, {70, 70, 1062}, {100, 100, 1063}, {101, 101, 1064}, {102, 102, 1065}, },
            {{46, 70, -22}, {76, 76, 1066}, {100, 102, -22}, {108, 108, 1067}, },
            {{46, 46, 731}, {48, 57, 733}, {68, 70, -22}, {100, 102, -22}, },
            {},
            {{43, 43, 1068}, {45, 45, 1069}, {48, 57, 1070}, },
            {},
            {},
            {{48, 57, 1071}, {65, 70, 1072}, {97, 102, 1073}, },
            {},
            {{43, 57, -737}, },
            {},
            {},
            {{48, 102, -740}, },
            {{46, 108, -23}, },
            {{61, 61, 1074}, },
            {},
            {},
            {},
            {{61, 61, 1075}, {62, 62, 1076}, },
            {},
            {{36, 95, -10}, {97, 114, 275}, {115, 115, 1077}, {116, 122, 275}, {170, 65500, -10}, },
            {{36, 110, -37}, {111, 111, 1078}, {112, 65500, -38}, },
            {{36, 100, -39}, {101, 101, 1079}, {102, 65500, -48}, },
            {{36, 95, -10}, {97, 115, 275}, {116, 116, 1080}, {117, 122, 275}, {170, 65500, -10}, },
            {{36, 114, -753}, {115, 115, 1081}, {116, 116, 1082}, {117, 65500, -756}, },
            {{36, 95, -10}, {97, 97, 1083}, {98, 122, 275}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 1084}, {98, 65500, -758}, },
            {{36, 95, -10}, {97, 109, 275}, {110, 110, 1085}, {111, 65500, -44}, },
            {{36, 101, -44}, {102, 102, 1086}, {103, 122, 275}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 116, 275}, {117, 117, 1087}, {118, 65500, -46}, },
            {{36, 114, -753}, {115, 115, 1088}, {116, 65500, -753}, },
            {{36, 115, -756}, {116, 116, 1089}, {117, 65500, -756}, },
            {{36, 107, -40}, {108, 108, 1090}, {109, 122, 275}, {170, 65500, -10}, },
            {{36, 109, -760}, {110, 110, 1091}, {111, 65500, -44}, },
            {{36, 110, -37}, {111, 111, 1092}, {112, 65500, -38}, },
            {{36, 95, -10}, {97, 113, 275}, {114, 114, 1093}, {115, 65500, -50}, },
            {{36, 115, -756}, {116, 116, 1094}, {117, 65500, -756}, },
            {{36, 65500, -10}, },
            {{36, 95, -10}, {97, 111, 275}, {112, 112, 1095}, {113, 122, 275}, {170, 65500, -10}, },
            {{36, 114, -753}, {115, 115, 1096}, {116, 116, 1097}, {117, 65500, -756}, },
            {{36, 109, -760}, {110, 110, 1098}, {111, 65500, -44}, },
            {{36, 115, -756}, {116, 116, 1099}, {117, 65500, -756}, },
            {{36, 95, -10}, {97, 118, 275}, {119, 119, 1100}, {120, 122, 275}, {170, 65500, -10}, },
            {{36, 107, -40}, {108, 108, 1101}, {109, 65500, -765}, },
            {{36, 95, -10}, {97, 98, 275}, {99, 99, 1102}, {100, 122, 275}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 104, 275}, {105, 105, 1103}, {106, 110, 275}, {111, 111, 1104}, {112, 65500, -38}, },
            {{36, 97, -36}, {98, 98, 1105}, {99, 65500, -36}, },
            {{36, 115, -756}, {116, 116, 1106}, {117, 65500, -756}, },
            {{36, 110, -37}, {111, 111, 1107}, {112, 65500, -38}, },
            {{36, 95, -10}, {97, 97, 1108}, {98, 65500, -758}, },
            {{36, 111, -771}, {112, 112, 1109}, {113, 65500, -771}, },
            {{36, 104, -778}, {105, 105, 1110}, {106, 122, 275}, {170, 65500, -10}, },
            {{36, 109, -760}, {110, 110, 1111}, {111, 65500, -44}, },
            {{36, 104, -778}, {105, 105, 1112}, {106, 113, 275}, {114, 114, 1113}, {115, 65500, -50}, },
            {{36, 95, -10}, {97, 97, 1114}, {98, 116, 275}, {117, 117, 1115}, {118, 120, 275}, {121, 121, 1116}, {122, 65500, -37}, },
            {{36, 104, -778}, {105, 105, 1117}, {106, 107, 275}, {108, 108, 1118}, {109, 65500, -765}, },
            {{36, 104, -778}, {105, 105, 1119}, {106, 65500, -784}, },
            {},
            {},
            {{0, 65535, -9}, },
            {{0, 65535, -9}, },
            {{0, 34, -9}, {35, 47, 267}, {48, 55, 1120}, {56, 91, 267}, {92, 65535, -9}, },
            {{0, 47, -794}, {48, 55, 1121}, {56, 65535, -794}, },
            {{0, 65535, -9}, },
            {{0, 65535, -9}, },
            {{0, 65535, -9}, },
            {{0, 65535, -9}, },
            {{0, 65535, -9}, },
            {{0, 65535, -9}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{36, 65500, -503}, },
            {{0, 65535, -509}, },
            {{0, 65535, -509}, },
            {{0, 9, 1031}, {10, 10, 1122}, {11, 65535, -509}, },
            {{0, 9, 1123}, {10, 10, 1124}, {11, 12, 1123}, {13, 13, 1125}, {14, 36, 1123}, {37, 37, 1126}, {38, 124, 1123}, {125, 125, 1034}, {126, 65535, 1123}, },
            {},
            {{39, 39, 1035}, },
            {{39, 39, 1035}, },
            {{39, 39, 1035}, {48, 55, 1127}, },
            {{39, 39, 1035}, {48, 55, 1128}, },
            {{39, 39, 1035}, },
            {{39, 39, 1035}, },
            {{39, 39, 1035}, },
            {{39, 39, 1035}, },
            {{39, 39, 1035}, },
            {{39, 39, 1035}, },
            {},
            {{43, 43, 1129}, {45, 45, 1130}, {48, 57, 1131}, },
            {},
            {},
            {{43, 57, -1049}, },
            {},
            {{0, 41, -730}, {42, 42, 1132}, {43, 65535, 1052}, },
            {{0, 65535, -1054}, },
            {{0, 9, 1052}, {10, 10, 1133}, {11, 65535, -1054}, },
            {{0, 9, 1134}, {10, 10, 1135}, {11, 12, 1134}, {13, 13, 1136}, {14, 41, 1134}, {42, 42, 1137}, {43, 46, 1134}, {47, 47, 1138}, {48, 65535, 1134}, },
            {{0, 65535, -731}, },
            {},
            {{10, 10, 1139}, },
            {{48, 102, -733}, },
            {},
            {{43, 43, 1140}, {45, 45, 1141}, {48, 57, 1142}, },
            {},
            {},
            {{43, 57, -1063}, },
            {},
            {},
            {},
            {{48, 57, 1070}, },
            {{48, 57, 1070}, },
            {{48, 57, 1070}, {68, 68, 1143}, {70, 70, 1144}, {100, 100, 1145}, {102, 102, 1146}, },
            {{48, 70, -740}, {76, 76, 1147}, {97, 102, 1073}, {108, 108, 1148}, },
            {{48, 108, -1073}, },
            {{48, 108, -1073}, },
            {},
            {},
            {{61, 61, 1149}, },
            {{36, 115, -756}, {116, 116, 1150}, {117, 65500, -756}, },
            {{36, 107, -40}, {108, 108, 1151}, {109, 65500, -765}, },
            {{36, 95, -10}, {97, 97, 1152}, {98, 65500, -758}, },
            {{36, 100, -39}, {101, 101, 1153}, {102, 65500, -48}, },
            {{36, 100, -39}, {101, 101, 1154}, {102, 65500, -48}, },
            {{36, 98, -777}, {99, 99, 1155}, {100, 65500, -777}, },
            {{36, 113, -768}, {114, 114, 1156}, {115, 65500, -50}, },
            {{36, 114, -753}, {115, 115, 1157}, {116, 65500, -753}, },
            {{36, 114, -753}, {115, 115, 1158}, {116, 116, 1159}, {117, 65500, -756}, },
            {{36, 95, -10}, {97, 97, 1160}, {98, 65500, -758}, },
            {{36, 97, -36}, {98, 98, 1161}, {99, 65500, -36}, },
            {{36, 100, -39}, {101, 101, 1162}, {102, 65500, -48}, },
            {{36, 100, -39}, {101, 101, 1163}, {102, 65500, -48}, },
            {{36, 114, -753}, {115, 115, 1164}, {116, 65500, -753}, },
            {{36, 95, -10}, {97, 97, 1165}, {98, 65500, -758}, },
            {{36, 95, -10}, {97, 97, 1166}, {98, 65500, -758}, },
            {{36, 65500, -10}, },
            {{36, 110, -37}, {111, 111, 1167}, {112, 65500, -38}, },
            {{36, 107, -40}, {108, 108, 1168}, {109, 110, 275}, {111, 111, 1169}, {112, 65500, -38}, },
            {{36, 115, -756}, {116, 116, 1170}, {117, 65500, -756}, },
            {{36, 100, -39}, {101, 101, 1171}, {102, 65500, -48}, },
            {{36, 95, -10}, {97, 102, 275}, {103, 103, 1172}, {104, 122, 275}, {170, 65500, -10}, },
            {{36, 104, -778}, {105, 105, 1173}, {106, 65500, -784}, },
            {{36, 65500, -10}, },
            {{36, 107, -40}, {108, 108, 1174}, {109, 65500, -765}, },
            {{36, 95, -10}, {97, 106, 275}, {107, 107, 1175}, {108, 122, 275}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 117, 275}, {118, 118, 1176}, {119, 122, 275}, {170, 65500, -10}, },
            {{36, 115, -756}, {116, 116, 1177}, {117, 65500, -756}, },
            {{36, 107, -40}, {108, 108, 1178}, {109, 65500, -765}, },
            {{36, 116, -762}, {117, 117, 1179}, {118, 65500, -46}, },
            {{36, 113, -768}, {114, 114, 1180}, {115, 65500, -50}, },
            {{36, 115, -756}, {116, 116, 1181}, {117, 65500, -756}, },
            {{36, 100, -39}, {101, 101, 1182}, {102, 65500, -48}, },
            {{36, 115, -756}, {116, 116, 1183}, {117, 65500, -756}, },
            {{36, 98, -777}, {99, 99, 1184}, {100, 65500, -777}, },
            {{36, 114, -753}, {115, 115, 1185}, {116, 65500, -753}, },
            {{36, 110, -37}, {111, 111, 1186}, {112, 65500, -38}, },
            {{36, 109, -760}, {110, 110, 1187}, {111, 65500, -44}, },
            {{36, 100, -39}, {101, 101, 1188}, {102, 65500, -48}, },
            {{36, 65500, -10}, },
            {{36, 95, -10}, {97, 99, 275}, {100, 100, 1189}, {101, 122, 275}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 1190}, {98, 65500, -758}, },
            {{36, 107, -40}, {108, 108, 1191}, {109, 65500, -765}, },
            {{0, 47, -794}, {48, 55, 1192}, {56, 65535, -794}, },
            {{0, 65535, -9}, },
            {{0, 65535, -509}, },
            {{0, 9, 1193}, {10, 10, 1194}, {11, 12, 1193}, {13, 13, 1195}, {14, 124, 1193}, {125, 125, 1196}, {126, 65535, 1193}, },
            {{0, 65535, -1125}, },
            {{0, 9, 1193}, {10, 10, 1197}, {11, 65535, -1125}, },
            {},
            {{39, 39, 1035}, {48, 55, 1198}, },
            {{39, 39, 1035}, },
            {{48, 57, 1131}, },
            {{48, 57, 1131}, },
            {{48, 57, 1131}, {68, 68, 1046}, {70, 100, -729}, {102, 102, 1051}, },
            {{0, 9, 1199}, {10, 10, 1200}, {11, 12, 1199}, {13, 13, 1201}, {14, 41, 1199}, {42, 42, 1132}, {43, 46, 1199}, {47, 47, 1202}, {48, 65535, 1199}, },
            {{0, 65535, -1054}, },
            {{0, 9, 1203}, {10, 10, 1204}, {11, 12, 1203}, {13, 13, 1205}, {14, 41, 1203}, {42, 42, 1206}, {43, 65535, 1203}, },
            {{0, 65535, -1136}, },
            {{0, 9, 1203}, {10, 10, 1207}, {11, 65535, -1136}, },
            {{0, 65535, -1057}, },
            {},
            {},
            {{48, 57, 1142}, },
            {{48, 57, 1142}, },
            {{48, 57, 1142}, {68, 68, 1060}, {70, 100, -733}, {102, 102, 1065}, },
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {{36, 113, -768}, {114, 114, 1208}, {115, 65500, -50}, },
            {{36, 100, -39}, {101, 101, 1209}, {102, 65500, -48}, },
            {{36, 106, -1104}, {107, 107, 1210}, {108, 65500, -1104}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 103, -49}, {104, 104, 1211}, {105, 65500, -52}, },
            {{36, 65500, -10}, },
            {{36, 114, -753}, {115, 115, 1212}, {116, 65500, -753}, },
            {{36, 115, -756}, {116, 116, 1213}, {117, 65500, -756}, },
            {{36, 104, -778}, {105, 105, 1214}, {106, 65500, -784}, },
            {{36, 116, -762}, {117, 117, 1215}, {118, 65500, -46}, },
            {{36, 107, -40}, {108, 108, 1216}, {109, 65500, -765}, },
            {{36, 65500, -10}, },
            {{36, 109, -760}, {110, 110, 1217}, {111, 65500, -44}, },
            {{36, 100, -39}, {101, 101, 1218}, {102, 65500, -48}, },
            {{36, 107, -40}, {108, 108, 1219}, {109, 65500, -765}, },
            {{36, 115, -756}, {116, 116, 1220}, {117, 65500, -756}, },
            {{36, 65500, -10}, },
            {{36, 100, -39}, {101, 101, 1221}, {102, 65500, -48}, },
            {{36, 113, -768}, {114, 114, 1222}, {115, 65500, -50}, },
            {{36, 95, -10}, {97, 97, 1223}, {98, 65500, -758}, },
            {{36, 113, -768}, {114, 114, 1224}, {115, 65500, -50}, },
            {{36, 65500, -10}, },
            {{36, 117, -1105}, {118, 118, 1225}, {119, 65500, -1105}, },
            {{36, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 1226}, {98, 65500, -758}, },
            {{36, 95, -10}, {97, 97, 1227}, {98, 65500, -758}, },
            {{36, 100, -39}, {101, 101, 1228}, {102, 65500, -48}, },
            {{36, 104, -778}, {105, 105, 1229}, {106, 65500, -784}, },
            {{36, 113, -768}, {114, 114, 1230}, {115, 65500, -50}, },
            {{36, 115, -756}, {116, 116, 1231}, {117, 65500, -756}, },
            {{36, 104, -778}, {105, 105, 1232}, {106, 65500, -784}, },
            {{36, 113, -768}, {114, 114, 1233}, {115, 65500, -50}, },
            {{36, 98, -777}, {99, 99, 1234}, {100, 65500, -777}, },
            {{36, 103, -49}, {104, 104, 1235}, {105, 65500, -52}, },
            {{36, 65500, -10}, },
            {{36, 118, -775}, {119, 119, 1236}, {120, 65500, -775}, },
            {{36, 114, -753}, {115, 115, 1237}, {116, 65500, -753}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 115, -756}, {116, 116, 1238}, {117, 65500, -756}, },
            {{36, 100, -39}, {101, 101, 1239}, {102, 65500, -48}, },
            {{0, 65535, -9}, },
            {{0, 65535, -1125}, },
            {{0, 65535, -1125}, },
            {{0, 9, 1193}, {10, 10, 1240}, {11, 65535, -1125}, },
            {{0, 124, -1036}, {125, 125, 1196}, {126, 65535, 1123}, },
            {{0, 65535, -1125}, },
            {{39, 39, 1035}, },
            {{0, 9, 1241}, {10, 10, 1242}, {11, 12, 1241}, {13, 13, 1243}, {14, 41, 1241}, {42, 42, 1244}, {43, 65535, 1241}, },
            {{0, 65535, -1201}, },
            {{0, 9, 1241}, {10, 10, 1245}, {11, 65535, -1201}, },
            {},
            {{0, 65535, -1136}, },
            {{0, 65535, -1136}, },
            {{0, 9, 1203}, {10, 10, 1246}, {11, 65535, -1136}, },
            {{0, 41, -1057}, {42, 42, 1206}, {43, 65535, -1057}, },
            {{0, 65535, -1136}, },
            {{36, 95, -10}, {97, 97, 1247}, {98, 65500, -758}, },
            {{36, 95, -10}, {97, 97, 1248}, {98, 65500, -758}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 109, -760}, {110, 110, 1249}, {111, 65500, -44}, },
            {{36, 107, -40}, {108, 108, 1250}, {109, 65500, -765}, },
            {{36, 100, -39}, {101, 101, 1251}, {102, 65500, -48}, },
            {{36, 99, -1119}, {100, 100, 1252}, {101, 65500, -1119}, },
            {{36, 65500, -10}, },
            {{36, 107, -40}, {108, 108, 1253}, {109, 65500, -765}, },
            {{36, 65500, -10}, },
            {{36, 95, -10}, {97, 108, 275}, {109, 109, 1254}, {110, 122, 275}, {170, 65500, -10}, },
            {{36, 115, -756}, {116, 116, 1255}, {117, 65500, -756}, },
            {{36, 109, -760}, {110, 110, 1256}, {111, 65500, -44}, },
            {{36, 101, -44}, {102, 102, 1257}, {103, 65500, -761}, },
            {{36, 100, -39}, {101, 101, 1258}, {102, 65500, -48}, },
            {{36, 102, -1100}, {103, 103, 1259}, {104, 65500, -1100}, },
            {{36, 115, -756}, {116, 116, 1260}, {117, 65500, -756}, },
            {{36, 98, -777}, {99, 99, 1261}, {100, 65500, -777}, },
            {{36, 98, -777}, {99, 99, 1262}, {100, 65500, -777}, },
            {{36, 109, -760}, {110, 110, 1263}, {111, 65500, -44}, },
            {{36, 65500, -10}, },
            {{36, 98, -777}, {99, 99, 1264}, {100, 65500, -777}, },
            {{36, 65500, -10}, },
            {{36, 103, -49}, {104, 104, 1265}, {105, 65500, -52}, },
            {{36, 113, -768}, {114, 114, 1266}, {115, 65500, -50}, },
            {{36, 114, -753}, {115, 115, 1267}, {116, 65500, -753}, },
            {{36, 104, -778}, {105, 105, 1268}, {106, 65500, -784}, },
            {{36, 104, -778}, {105, 105, 1269}, {106, 65500, -784}, },
            {{36, 65500, -10}, },
            {{0, 65535, -1125}, },
            {{0, 65535, -1201}, },
            {{0, 65535, -1201}, },
            {{0, 9, 1241}, {10, 10, 1270}, {11, 65535, -1201}, },
            {{0, 41, -1134}, {42, 42, 1244}, {43, 65535, -1134}, },
            {{0, 65535, -1201}, },
            {{0, 65535, -1136}, },
            {{36, 98, -777}, {99, 99, 1271}, {100, 65500, -777}, },
            {{36, 109, -760}, {110, 110, 1272}, {111, 65500, -44}, },
            {{36, 116, -762}, {117, 117, 1273}, {118, 65500, -46}, },
            {{36, 115, -756}, {116, 116, 1274}, {117, 65500, -756}, },
            {{36, 65500, -10}, },
            {{36, 114, -753}, {115, 115, 1275}, {116, 65500, -753}, },
            {{36, 95, -10}, {97, 120, 275}, {121, 121, 1276}, {122, 65500, -37}, },
            {{36, 100, -39}, {101, 101, 1277}, {102, 65500, -48}, },
            {{36, 65500, -10}, },
            {{36, 98, -777}, {99, 99, 1278}, {100, 65500, -777}, },
            {{36, 95, -10}, {97, 97, 1279}, {98, 65500, -758}, },
            {{36, 65500, -10}, },
            {{36, 100, -39}, {101, 101, 1280}, {102, 65500, -48}, },
            {{36, 100, -39}, {101, 101, 1281}, {102, 65500, -48}, },
            {{36, 115, -756}, {116, 116, 1282}, {117, 65500, -756}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 110, -37}, {111, 111, 1283}, {112, 65500, -38}, },
            {{36, 65500, -10}, },
            {{36, 100, -39}, {101, 101, 1284}, {102, 65500, -48}, },
            {{36, 107, -40}, {108, 108, 1285}, {109, 65500, -765}, },
            {{0, 65535, -1201}, },
            {{36, 115, -756}, {116, 116, 1286}, {117, 65500, -756}, },
            {{36, 65500, -10}, },
            {{36, 100, -39}, {101, 101, 1287}, {102, 65500, -48}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 109, -760}, {110, 110, 1288}, {111, 65500, -44}, },
            {{36, 100, -39}, {101, 101, 1289}, {102, 65500, -48}, },
            {{36, 98, -777}, {99, 99, 1290}, {100, 65500, -777}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 100, -39}, {101, 101, 1291}, {102, 65500, -48}, },
            {{36, 109, -760}, {110, 110, 1292}, {111, 65500, -44}, },
            {{36, 109, -760}, {110, 110, 1293}, {111, 65500, -44}, },
            {{36, 100, -39}, {101, 101, 1294}, {102, 65500, -48}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 115, -756}, {116, 116, 1295}, {117, 65500, -756}, },
            {{36, 110, -37}, {111, 111, 1296}, {112, 65500, -38}, },
            {{36, 100, -39}, {101, 101, 1297}, {102, 65500, -48}, },
            {{36, 99, -1119}, {100, 100, 1298}, {101, 65500, -1119}, },
            {{36, 104, -778}, {105, 105, 1299}, {106, 65500, -784}, },
            {{36, 115, -756}, {116, 116, 1300}, {117, 65500, -756}, },
            {{36, 65500, -10}, },
            {{36, 114, -753}, {115, 115, 1301}, {116, 65500, -753}, },
            {{36, 101, -44}, {102, 102, 1302}, {103, 65500, -761}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 95, -10}, {97, 121, 275}, {122, 122, 1303}, {170, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 100, -39}, {101, 101, 1304}, {102, 65500, -48}, },
            {{36, 99, -1119}, {100, 100, 1305}, {101, 65500, -1119}, },
            {{36, 65500, -10}, },
        }
    };*/

    private static int[][] accept;
/*  {
        // INITIAL
        {0, 0, 0, 0, 0, 0, 67, -1, 107, 86, 83, -1, 55, 56, 81, 79, 62, 80, 63, 82, 101, 101, 70, 61, 65, 64, 66, 69, 107, 107, 59, 60, 85, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 57, 84, 58, 68, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 0, 74, -1, 106, -1, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 108, 97, 108, 108, 108, 108, -1, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 75, 94, -1, -1, 92, 77, 90, 78, 91, 104, -1, 4, 93, 104, 103, -1, 104, -1, 104, 101, -1, 104, -1, 104, 101, -1, 101, 87, 72, 71, 73, 88, 96, 107, 107, 107, 107, 107, 107, 107, 107, 107, 11, 107, 107, 107, 107, 107, 107, 107, 7, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 95, 76, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, -1, -1, -1, -1, 105, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 104, -1, 104, 104, -1, 104, -1, -1, -1, -1, 4, 4, 4, 104, 104, -1, 104, 104, -1, 104, 103, 103, -1, -1, 104, 102, 102, 102, 98, 99, 89, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 45, 107, 107, 107, 27, 107, 107, 46, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 24, 107, 107, 107, -1, -1, -1, -1, -1, -1, 3, -1, -1, -1, -1, 104, -1, -1, -1, -1, -1, -1, 2, 4, -1, -1, 104, 104, 104, 104, 104, 102, 102, 100, 107, 107, 107, 20, 25, 107, 35, 107, 107, 107, 107, 107, 21, 107, 107, 107, 107, 49, 107, 107, 107, 107, 37, 107, 54, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 51, 107, 107, 52, 29, 107, 107, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 1, -1, -1, -1, -1, -1, 107, 107, 15, 30, 40, 44, 107, 107, 107, 107, 53, 31, 41, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 28, 107, 38, 107, 107, 9, 107, 107, 39, -1, -1, -1, -1, -1, -1, -1, 107, 107, 107, 107, 16, 107, 107, 107, 17, 107, 107, 42, 107, 107, 107, 18, 23, 33, 43, 107, 14, 107, 107, -1, 107, 10, 107, 6, 26, 36, 107, 107, 107, 50, 8, 107, 107, 107, 107, 5, 48, 107, 107, 107, 107, 107, 107, 34, 107, 107, 32, 13, 107, 19, 12, 22, 107, 107, 47, },

    };*/

    public static class State
    {
        public final static State INITIAL = new State(0);

        private int id;

        private State(int id)
        {
            this.id = id;
        }

        public int id()
        {
            return id;
        }
    }
}
