package ca.ubc.cs.elide.nodes;

import ca.ubc.cs.elide.visitors.*;
import ca.ubc.cs.elide.utils.*;

/**
 * <code>ImportNode</code> objects represent import statements in a source file,
 * and are associated with all classes defined in the file.
 *
 * The <code>ImportNode</code>s of a given class can be accessed via {@link ClassNode#getImports}
 */
public class ImportNode extends ParseNode
{
	public ImportNode() {}
	public ImportNode(String name) { super(name); }
	
	boolean isAddableTo(ChildBearingNode node)
	{
		return (node instanceof ClassNode);
	}
}