package ca.ubc.cs.elide.sable;

import ca.ubc.cs.elide.*;
import ca.ubc.cs.elide.nodes.*;
import ca.ubc.cs.elide.transformations.*;

import j11.*;
import java.io.*;
import java.util.*;
import ca.mcgill.sable.gagnon.java.node.*;
import ca.mcgill.sable.gagnon.java.lexer.*;
import ca.mcgill.sable.gagnon.java.parser.*;
import ca.mcgill.sable.gagnon.java.analysis.*;

public class CommentExtractor extends DepthFirstAdapter
{
	protected Analysis ignoredTokens;
	protected Node firstToken;
	
	public CommentExtractor(Analysis ignoredTokens)
	{
		this.ignoredTokens = ignoredTokens;
	}
	
	public String getComment(Node node)
	{
		firstToken = null;
		node.apply(this);
		
		List comments = (List) ignoredTokens.getIn(firstToken);
		StringBuffer commentBuffer = new StringBuffer();
		
		if(comments != null)
		{
			Iterator i = comments.iterator();
			while(i.hasNext())
			{
				String comment = i.next().toString().trim();
				if(!comment.equals(""))
					commentBuffer.append(comment + "\n");
			}
		}
		
		return commentBuffer.toString();
	}
 	
	public void defaultCase(Node node)
	{
		if(firstToken == null && node instanceof Token)
			firstToken = node;
	}
}