package ca.ubc.cs.elide.transformations;

import java.util.*;
import java.lang.reflect.*;
import ca.ubc.cs.elide.*;
import ca.ubc.cs.elide.nodes.*;
import ca.ubc.cs.elide.utils.*;
import java.io.*;

public class Dependency implements Serializable
{
	private String className;
	private String methodName;
		
	private List satisfies = new ArrayList();
	private List requires = new ArrayList();
		
	public Dependency(String methodName, String className)
	{
		this.methodName = methodName;
		this.className = className;
	}
	
	public void addSatisfies(String dependency)
	{
		satisfies.add(dependency);
	}
	
	public void addRequires(String dependency)
	{
		requires.add(dependency);
	}
	
	public List getSatisfies() { return satisfies; }
	public List getRequires() { return requires; }
	public String getTransformName() { return className; }
	public String getMethodName() { return methodName; }
	
	public void setTransformName(String className) { this.className = className; }
	
	public boolean equals(Object obj)
	{
		if( obj instanceof Dependency )
		{
			Dependency narrowed = (Dependency)obj;
			return methodName.equals(narrowed.methodName) &&
				   className.equals(narrowed.className);
		}
		else return false;
	}
	
	public Object clone()
	{
		return InternalUtils.cloneObject(this);
	}
}