package ca.ubc.cs.elide.transformations;

import java.util.*;

public class PackageTransformFactory implements TransformFactory
{
	private List packages = new ArrayList();
	private Map classCache = new HashMap();
	
	public PackageTransformFactory()
	{
		packages.add("");
		addPackage("ca.ubc.cs.elide.transforms");
	}
	
	public void addPackage(String pkg)
	{
		packages.add(pkg + ".");
	}
	
	public Class findTransformClass(String transformName)
	{
		Class theClass = (Class) classCache.get(transformName);
		if(theClass == null)
		{			
			Iterator i = packages.iterator();
			while(i.hasNext())
			{
				try
				{
					String prefix = (String) i.next();
					String className = 	prefix + /*"." +*/
										transformName.substring(0,1).toUpperCase() +
										transformName.substring(1);
					
					theClass = findClass(className);
					classCache.put(transformName, theClass);
					break;
				}
				catch(Exception e){}
			}
		}
		
		return theClass;		
	}
	
	protected Class findClass(String className)
		throws Exception //FIXME
	{
		return Class.forName(className);
	}
}