package ca.ubc.cs.elide.transforms;

import ca.ubc.cs.elide.transformations.*;
import ca.ubc.cs.elide.nodes.*;
import ca.ubc.cs.elide.*;
import java.util.*;

public class Subclasses extends Transform
{
	public void transform(ClassNode target, List args)
	{
		target.extend(
			"satisfies<addTargets>"+
			"public void addSubclassTargets(ClassNode target, List args)\n"+
			"{\n"+
			"	Iterator subclasses = target.getSubclasses().iterator();\n"+
			"	while( subclasses.hasNext() )\n"+
			"		Transform.addTarget("+target.getName()+".class, (ClassNode)subclasses.next(), args);\n"+
			"}\n"+
			""+
			"public void addSubclassTargets(ClassNode target)\n"+
			"{\n"+
			"	addSubclassTargets(target, new ArrayList());\n"+
			"}\n");
	}

	private static List dependencies = new ArrayList();
	private static Dependency transform = new Dependency("transform", "Subclasses");
	
	public static List getDependencyList(Class self) { return dependencies; }

	static
	{
		dependencies.add(transform);
	}
	
	static
	{
		transform.addSatisfies("primitive");
	}
}
