package ca.ubc.cs.elide.visitors;

import ca.ubc.cs.elide.nodes.*;
import java.util.*;

public class Merger extends NodeVisitor
{
	public StartNode into;
	PackageNode intoPkg;
	
	public Merger(StartNode into) { this.into = into; }
	
	public void visitNode(PackageNode pkg)
	{
		intoPkg = into.getPackage(pkg.getName());
		if(intoPkg == null)
			into.add(pkg);
		else
			visitChildren(pkg);
	}
	
	public void visitNode(ClassNode cls)
	{
		ClassNode intoCls = intoPkg.getClass(cls.getName());
		
		if(intoCls != null)
			intoPkg.remove(intoCls);
		
		intoPkg.add(cls);
	}
}