package ca.ubc.cs.elide.visitors;

import ca.ubc.cs.elide.*;
import ca.ubc.cs.elide.nodes.*;
import ca.ubc.cs.elide.utils.*;
import java.lang.reflect.*;
import java.util.*;

public abstract class NodeVisitor
{	
	Multimethod visitNode = new Multimethod(NodeVisitor.class,"visitNode",1);
	Multimethod in = new Multimethod(NodeVisitor.class,"in",1);
	Multimethod out = new Multimethod(NodeVisitor.class,"out",1);
	
	public void visit(Object node) { visitNode.invoke(this, new Object[] {node}); } 
	
	public void visitNode(ParseNode node) {}
	public void visitNode(ChildBearingNode node)
	{
		visitChildren(node);
	}
	
	protected void visitChildren(ChildBearingNode node)
	{
		in.invoke(this, new Object[] {node});
		Iterator i = node.getChildren().iterator();
		while(i.hasNext())
			visitNode.invoke(this, new Object[] {i.next()});
		out.invoke(this, new Object[] {node});
	}
	
	public void in(ChildBearingNode node) {}
	public void out(ChildBearingNode node) {}
}