package ca.ubc.cs.elide.visitors;

import ca.ubc.cs.elide.nodes.*;
import ca.ubc.cs.elide.*;
import ca.ubc.cs.elide.transformations.*;
import java.util.*;
import java.io.*;

public class TransformCollector extends NodeVisitor
{
	protected Map transformMap = new HashMap();
	
	public Map getTransforms() { return transformMap; }
	
	protected List getTransformList(String transformName)
	{
		String normalizedName = transformName.toLowerCase();
		List transformList = (List) transformMap.get(normalizedName);
		if(transformList == null)
		{
			transformList = new ArrayList();
			transformMap.put(normalizedName, transformList);
		}
		
		return transformList;
	}
	
	public void visitNode(TransformNode node)
	{
		addTransform(node);
		Transform.registerTransform(Utils.methodCase(node.getName()));
	}
	
	public void addTransform(TransformNode node)
	{
		getTransformList(node.getName()).add(node);
	}
}